/*
 * (c) 2006-2017 Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#ifndef COLORTTY_H
#define COLORTTY_H

typedef enum {
	invalid_color = -1, black = 0, red = 1, green = 2, yellow = 3, blue = 4,
	magenta = 5, cyan = 6, white = 7, noattr = 8
} color_t;

typedef enum {
	tty_none = 0, tty_auto = 1, tty_ansi = 2
} ttymode_t;

extern ttymode_t TtyMode;

extern color_t ColorStart, ColorInfo, ColorWarn, ColorError, ColorFail, ColorDone, ColorOut;
extern const char *TiSave, *TiRestore, *TiCursorLL, *TiClrEol, *TiNoAttr, *TiBlack, *TiBlue
	, *TiCyan, *TiGreen, *TiGrey, *TiMagenta, *TiRed, *TiWhite, *TiYellow;

extern char *PfxStart, *PfxDone, *PfxFail, *PfxWarn, *PfxError, *PfxOut, *PfxInfo;


color_t str2color(const char *str);
const char *colorstr(color_t c);
void init_terminal();

#endif
